PDA

View Full Version : [CLOSED] [4.1.3] Incorrect comment



cs0ip
21 Dec 2012, 2:18 AM
http://docs.sencha.com/ext-js/4-1/source/Controller.html#Ext-app-Controller-cfg-stores


/**
* @cfg {String[]} stores
* Array of stores to require from AppName.store namespace and to generate getter methods for.
* For example:
*
* Ext.define("MyApp.controller.Foo", {
* extend: "Ext.app.Controller",
* stores: ['Users', 'Vehicles']
* });
*
* This is equivalent of:
*
* Ext.define("MyApp.controller.Foo", {
* extend: "Ext.app.Controller",
* requires: ['MyApp.store.Users', 'MyApp.store.Vehicles']
* getUsersStore: function() {
* return this.getView("Users");
* },
* getVehiclesStore: function() {
* return this.getView("Vehicles");
* }
* });
*
*/

mitchellsimoens
21 Dec 2012, 8:28 AM
This looks to already be fixed for the next 4.2.0 release.